Projects
Update a project snapshot
Rename a snapshot or choose whether it is pinned.
PATCH
/
v1
/
projects
/
{projectId}
/
snapshots
/
{snapshotId}
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const snapshot = await client.projects.snapshots.update('snapshotId', {
projectId: 'projectId',
});
curl --request PATCH \
--url https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"pinned": true
}
'import requests
url = "https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}"
payload = {
"name": "<string>",
"pinned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', pinned: true})
};
fetch('https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'pinned' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"pinned\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"pinned\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"pinned\": true\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": true,
"name": "<string>",
"pinnedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"buildDurationMs": 1,
"builtAt": "2023-11-07T05:31:56Z",
"cpu": 123,
"hasSetupScript": true,
"includesDeps": true,
"includesRepos": true,
"includesSkills": true,
"isKvm": true,
"memoryMb": 123,
"projectId": "<string>",
"rebuildOfSnapshotId": "<string>",
"repositoryIds": [
"<string>"
],
"setupScript": "<string>",
"size": "nano",
"sizeBytes": "<string>",
"trigger": "manual"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 255Required string length:
1 - 255Response
Update a project snapshot
Required string length:
1 - 255Required range:
x >= 0Required string length:
1 - 255Required string length:
1 - 255Required string length:
1 - 255Maximum string length:
20000Available options:
nano, micro, small, medium, large, xl, xxl, ultra, null Pattern:
^\d+$Available options:
manual, scheduled, rebuild, manager_reconcile, admin, null Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const snapshot = await client.projects.snapshots.update('snapshotId', {
projectId: 'projectId',
});
curl --request PATCH \
--url https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"pinned": true
}
'import requests
url = "https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}"
payload = {
"name": "<string>",
"pinned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', pinned: true})
};
fetch('https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'pinned' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"pinned\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"pinned\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/projects/{projectId}/snapshots/{snapshotId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"pinned\": true\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": true,
"name": "<string>",
"pinnedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"buildDurationMs": 1,
"builtAt": "2023-11-07T05:31:56Z",
"cpu": 123,
"hasSetupScript": true,
"includesDeps": true,
"includesRepos": true,
"includesSkills": true,
"isKvm": true,
"memoryMb": 123,
"projectId": "<string>",
"rebuildOfSnapshotId": "<string>",
"repositoryIds": [
"<string>"
],
"setupScript": "<string>",
"size": "nano",
"sizeBytes": "<string>",
"trigger": "manual"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}